<?php

namespace MakeCommerce\Shipping\Method\Common;

/**
 * Omniva specific functionality that is used by both courier and parcelmachine
 * 
 * @since 3.0.4
 */

trait Smartpost {

    public $carrier = "Smartpost";
    public $carrier_id = "smartpost";
    public $carrier_title = "Smartpost";
    public $service_name = "eservice.smartpost.ee";
    public $international_number_format = true;

    /**
     * https://api.posti.fi/api-shipments.html
     * 
     * Telephone number (with country code e.g. +3580501234567)
     * 
     * country code => array(
     *      starting number(s) => array( lenght1, lenght2 )
     * )
     */
    //Smartpost does not define any restrictions on phone numbers. Leave $valid_phonenumber_country_codes undefined

    /**
     * Returns invalid phone number error
     * 
     * @since 3.0.4
     */
    public function phone_number_validation_error() {
        return '<strong>' . $this->carrier_title . '</strong> ' . __(' can be used with an international phone number only. Please specify your phone number with international country code (e.g. +372xxxxxxx)', 'wc_makecommerce_domain' );
    }
}
